Package org.eclipse.birt.report.model.api.elements.structures

# Class HideRule

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.HideRule

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class HideRule extends org.eclipse.birt.report.model.core.Structure
Implements hide rules of a `ReportItem`.

Member properties in `Hide` are all intrinsic properties. That is, values of "format" and "valueExpr" properties can be unset. Choices for the "format" member are defined in `DesignChoiceConstants`.

See Also:
  - `DesignChoiceConstants`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Expression`
`expression`
The expression for the visibility rule.
`protected String`
`format`
The comparison operator.
`static final String`
`FORMAT_MEMBER`
Name of the format member.
`static final String`
`STRUCTURE_NAME`
Name of this structure within the meta-data dictionary.
`static final String`
`VALUE_EXPR_MEMBER`
Name of the property that gives the expression for the format member.

## Constructor Summary

Constructors
Constructor
Description
`HideRule()`
The default Constructor.
`HideRule(String format, String expression)`
Constructs the hide structure with the format choice and expression.

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
Returns the expression of the rule.
`String`
`getFormat()`
Returns the format as an internal choice name.
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setExpression(String expression)`
Sets the expression for this visibility rule.
`void`
`setFormat(String format)`
Sets the output format.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates this structure.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FORMAT_MEMBER

public static final String FORMAT_MEMBER
Name of the format member.

See Also:
  - Constant Field Values

### VALUE_EXPR_MEMBER

public static final String VALUE_EXPR_MEMBER
Name of the property that gives the expression for the format member.

See Also:
  - Constant Field Values

### STRUCTURE_NAME

public static final String STRUCTURE_NAME
Name of this structure within the meta-data dictionary.

See Also:
  - Constant Field Values

### format

protected String format
The comparison operator. The default value is `FORMAT_TYPE_ALL`. The allowed choices are:

- `FORMAT_TYPE_ALL`
- `FORMAT_TYPE_VIEWER`
- `FORMAT_TYPE_EMAIL`
- `FORMAT_TYPE_PRINT`
- `FORMAT_TYPE_PDF`
- `FORMAT_TYPE_RTF`
- `FORMAT_TYPE_REPORTLET`
- `FORMAT_TYPE_EXCEL`
- `FORMAT_TYPE_WORD`
- `FORMAT_TYPE_POWERPOINT`

### expression

protected Expression expression
The expression for the visibility rule.

## Constructor Details

### HideRule

public HideRule()
The default Constructor.

### HideRule

public HideRule(String format, String expression)
Constructs the hide structure with the format choice and expression.

Parameters:
  `format` - the choice name for the format
  `expression` - the expression for the visibility rule

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### getFormat

public String getFormat()
Returns the format as an internal choice name. The possible choices are defined in `DesignChoiceConstants` and they are:

- `FORMAT_TYPE_ALL`
- `FORMAT_TYPE_VIEWER`
- `FORMAT_TYPE_EMAIL`
- `FORMAT_TYPE_PRINT`
- `FORMAT_TYPE_PDF`
- `FORMAT_TYPE_RTF`
- `FORMAT_TYPE_REPORTLET`
- `FORMAT_TYPE_EXCEL`
- `FORMAT_TYPE_WORD`
- `FORMAT_TYPE_POWERPOINT`

Or can be user defined format.

Returns:
  the choice code for the format

### setFormat

public void setFormat(String format)
Sets the output format. The allowed choices are defined in `DesignChoiceConstants` and they are:

- `FORMAT_TYPE_ALL`
- `FORMAT_TYPE_VIEWER`
- `FORMAT_TYPE_EMAIL`
- `FORMAT_TYPE_PRINT`
- `FORMAT_TYPE_PDF`
- `FORMAT_TYPE_RTF`
- `FORMAT_TYPE_REPORTLET`
- `FORMAT_TYPE_EXCEL`
- `FORMAT_TYPE_WORD`
- `FORMAT_TYPE_POWERPOINT`

Or can be user defined format.

Parameters:
  `format` - the output format to set

### getExpression

public String getExpression()
Returns the expression of the rule.

Returns:
  the value expression

### setExpression

public void setExpression(String expression)
Sets the expression for this visibility rule.

Parameters:
  `expression` - the value expression to set

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Validates this structure. The following are the rules:

- The column name is required.

Overrides:
  `validate` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `module` - the module
  `element` - the element contains this structure
Returns:
  the semantic error list
See Also:
  - `Structure.validate(Module, org.eclipse.birt.report.model.core.DesignElement)`